:root { --menu-font-size: 22px; }

#main-menu {
    width: auto;
    margin: auto 0 auto 0;
    padding: 0;
    display: flex;
    flex-direction: column;
}

#main-menu > li {
    display: flex;
    justify-content: flex-end;
    margin: 0;
    padding: 0;
    position: relative;
    pointer-events: none;
}
#main-menu .main-href {
    font-size: var(--menu-font-size);
    color: var(--teal);
    text-transform: uppercase;
    box-sizing: border-box;
    text-align: right;
    text-decoration: none;
    position: relative;
    transition: color 0.3s ease;
    padding: 20px 0;
}

.nav-opened #main-menu .main-href { pointer-events: auto; }

#main-menu .main-href:hover {
    color: #ffffff;
}

@media screen and (max-width: 1080px) {
    #main-menu {
        align-items: center;
    }

    #main-menu .main-href {
        text-align: center;
    }
}

@media screen and (max-height: 1000px) {
    #main-menu .main-href {
        padding: 15px 0;
    }
}

@media screen and (max-height: 880px) {
    :root { --menu-font-size: 20px; }

    #main-menu .main-href {
        padding: 10px 0;
    }
}

@media screen and (max-height: 800px) {
    :root { --menu-font-size: 18px; }

    #main-menu .main-href {
        padding: 5px 0;
    }
}
